import java.awt.*;
import javax.swing.*; 
import com.wildcrest.j2printerworks.*; 

class J2ComponentPrinterSimplestTest{ 

    static public void main(String args[]){ 
        JLabel label = new JLabel();
        label.setFont(new Font("Serif",Font.PLAIN,14));
        label.setText("<html>This is an example of <i>a JLabel</i><br>"
                    + "placed inside a <u>J2ComponentPrinter</u> and<br>"
                    + "printed using <b>J2PrinterWorks</b></html>");
        label.setPreferredSize(new Dimension(250,75)); 

        JFrame frame = new JFrame("J2PanelPrinter test"); 
        frame.getContentPane().add(label); 
        frame.pack(); 
        frame.setVisible(true); 

        J2Printer printer = new J2Printer(); 
        printer.setSeparatePrintThread(false); 
        J2ComponentPrinter componentPrinter = new J2ComponentPrinter(label); 
        printer.addPageable(componentPrinter); 
        printer.print(); 

        System.exit(0); 
    } 
}